#! /usr/bin/env python
# -*- coding: utf-8 -*-

import pygame
import levels

pygame.mixer.init()

class Game(object):
    def __init__(self):
        self.screen = pygame.display.set_mode((600, 400))
        pygame.display.set_caption("The MutationGun(TM)")
        self.currentLevel = 0
        self.level = levels.load_level(self.currentLevel)
        self.clock = pygame.time.Clock()
        self.running = False
   
    def run(self):
        self.running = True
        while self.running:
            for event in pygame.event.get():
                if event.type == pygame.QUIT:
                    self.running = False
                elif event.type == pygame.KEYDOWN and event.key == pygame.K_ESCAPE:
                    self.running = False
                elif event.type == pygame.KEYDOWN and event.key == pygame.K_SPACE:
                    pygame.image.save(self.screen, "scsh.png")
            
            self.screen.fill((53, 53, 53))
                  
            self.level.update(self)
            self.level.draw(self.screen)
            pygame.display.flip()
            
            self.clock.tick(30)
            print(int(self.clock.get_fps()))
            

Game().run()